Index: branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp
===================================================================
--- branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 824)
+++ branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 827)
@@ -4618,53 +4613,53 @@
         }
 
-        if ( r_vci_rsp_data_error.read() )  // bus error
-        {
-            switch ( r_dcache_miss_type.read() )
+        if (r_vci_rsp_data_error.read()) // bus error
+        {
+            switch (r_dcache_miss_type.read())
             {
                 case PROC_MISS:
                 {
-                    r_mmu_detr            = MMU_READ_DATA_ILLEGAL_ACCESS;
-                    r_mmu_dbvar           = r_dcache_save_vaddr.read();
-                    m_drsp.valid            = true;
-                    m_drsp.error            = true;
-                    r_dcache_fsm          = DCACHE_IDLE;
+                    r_mmu_detr   = MMU_READ_DATA_ILLEGAL_ACCESS;
+                    r_mmu_dbvar  = r_dcache_save_vaddr.read();
+                    m_drsp.valid = true;
+                    m_drsp.error = true;
+                    r_dcache_fsm = DCACHE_IDLE;
                     break;
                 }
                 case PTE1_MISS:
                 {
-                    if ( r_dcache_tlb_ins.read() )
+                    if (r_dcache_tlb_ins.read())
                     {
-                        r_mmu_ietr              = MMU_READ_PT1_ILLEGAL_ACCESS;
-                        r_mmu_ibvar             = r_dcache_tlb_vaddr.read();
-                        r_icache_tlb_miss_req   = false;
-                        r_icache_tlb_rsp_error  = true;
+                        r_mmu_ietr             = MMU_READ_PT1_ILLEGAL_ACCESS;
+                        r_mmu_ibvar            = r_dcache_tlb_vaddr.read();
+                        r_icache_tlb_miss_req  = false;
+                        r_icache_tlb_rsp_error = true;
                     }
                     else
                     {
-                        r_mmu_detr              = MMU_READ_PT1_ILLEGAL_ACCESS;
-                        r_mmu_dbvar             = r_dcache_tlb_vaddr.read();
-                        m_drsp.valid              = true;
-                        m_drsp.error              = true;
+                        r_mmu_detr   = MMU_READ_PT1_ILLEGAL_ACCESS;
+                        r_mmu_dbvar  = r_dcache_tlb_vaddr.read();
+                        m_drsp.valid = true;
+                        m_drsp.error = true;
                     }
-                    r_dcache_fsm                = DCACHE_IDLE;
+                    r_dcache_fsm = DCACHE_IDLE;
                     break;
                 }
                 case PTE2_MISS:
                 {
-                    if ( r_dcache_tlb_ins.read() )
+                    if (r_dcache_tlb_ins.read())
                     {
-                        r_mmu_ietr              = MMU_READ_PT2_ILLEGAL_ACCESS;
-                        r_mmu_ibvar             = r_dcache_tlb_vaddr.read();
-                        r_icache_tlb_miss_req   = false;
-                        r_icache_tlb_rsp_error  = true;
+                        r_mmu_ietr             = MMU_READ_PT2_ILLEGAL_ACCESS;
+                        r_mmu_ibvar            = r_dcache_tlb_vaddr.read();
+                        r_icache_tlb_miss_req  = false;
+                        r_icache_tlb_rsp_error = true;
                     }
                     else
                     {
-                        r_mmu_detr              = MMU_READ_PT2_ILLEGAL_ACCESS;
-                        r_mmu_dbvar             = r_dcache_tlb_vaddr.read();
-                        m_drsp.valid              = true;
-                        m_drsp.error              = true;
+                        r_mmu_detr   = MMU_READ_PT2_ILLEGAL_ACCESS;
+                        r_mmu_dbvar  = r_dcache_tlb_vaddr.read();
+                        m_drsp.valid = true;
+                        m_drsp.error = true;
                     }
-                    r_dcache_fsm                = DCACHE_IDLE;
+                    r_dcache_fsm = DCACHE_IDLE;
                     break;
                 }
@@ -4672,5 +4667,5 @@
             r_vci_rsp_data_error = false;
         }
-        else if ( r_vci_rsp_fifo_dcache.rok() )    // valid response available
+        else if (r_vci_rsp_fifo_dcache.rok()) // valid response available
         {
             r_dcache_miss_word = 0;
@@ -4680,37 +4675,36 @@
     }
     //////////////////////////
-    case DCACHE_MISS_DATA_UPDT:   // update the dcache (one word per cycle)
-    {
-        if ( m_dreq.valid) m_cost_data_miss_frz++;
-
-        if ( r_vci_rsp_fifo_dcache.rok() && r_vci_rsp_fifo_rpktid.rok())   // one word available
+    case DCACHE_MISS_DATA_UPDT:  // update the dcache (one word per cycle)
+    {
+        if (m_dreq.valid) m_cost_data_miss_frz++;
+
+        if (r_vci_rsp_fifo_dcache.rok() and r_vci_rsp_fifo_rpktid.rok()) // one word available
         {
 #ifdef INSTRUMENTATION
-m_cpt_dcache_data_write++;
-#endif
-                r_dcache.write( r_dcache_miss_way.read(),
-                                r_dcache_miss_set.read(),
-                                r_dcache_miss_word.read(),
-                                r_vci_rsp_fifo_dcache.read() );
+            m_cpt_dcache_data_write++;
+#endif
+            r_dcache.write(r_dcache_miss_way.read(),
+                           r_dcache_miss_set.read(),
+                           r_dcache_miss_word.read(),
+                           r_vci_rsp_fifo_dcache.read());
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_MISS_DATA_UPDT> Write one word:"
-              << " / DATA = "  << std::hex << r_vci_rsp_fifo_dcache.read()
-              << " / WAY = "   << std::dec << r_dcache_miss_way.read()
-              << " / SET = "   << r_dcache_miss_set.read()
-              << " / WORD = "  << r_dcache_miss_word.read() << std::endl;
-}
+            if (m_debug_activated)
+            {
+                std::cout << "  <PROC " << name()
+                    << " DCACHE_MISS_DATA_UPDT> Write one word:"
+                    << " / DATA = "  << std::hex << r_vci_rsp_fifo_dcache.read()
+                    << " / WAY = "   << std::dec << r_dcache_miss_way.read()
+                    << " / SET = "   << r_dcache_miss_set.read()
+                    << " / WORD = "  << r_dcache_miss_word.read() << std::endl;
+            }
 #endif
             vci_rsp_fifo_dcache_get = true;
 
-            r_dcache_read_state = !r_vci_rsp_fifo_rpktid.read();//deduce the state (CC or NCC) from msb of pktid
+            r_dcache_read_state = not r_vci_rsp_fifo_rpktid.read(); //deduce the state (CC or NCC) from msb of pktid
             vci_rsp_fifo_rpktid_get = true;
 
-
             r_dcache_miss_word = r_dcache_miss_word.read() + 1;
 
-            if ( r_dcache_miss_word.read() == (m_dcache_words-1) ) // last word
+            if (r_dcache_miss_word.read() == (m_dcache_words - 1)) // last word
             {
                 r_dcache_fsm = DCACHE_MISS_DIR_UPDT;
@@ -4728,19 +4722,20 @@
                                 //   to ZOMBI state, and send a cleanup request.
     {
-        if ( m_dreq.valid) m_cost_data_miss_frz++;
-
-        if( r_dcache_cleanup_victim_req.read() and not r_dcache_cc_send_req.read() )
-        {
-            r_dcache_cc_send_req = true;
-            r_dcache_cc_send_type = CC_TYPE_CLEANUP;
-            r_dcache_cc_send_nline = r_dcache_cleanup_victim_nline.read();
+        if (m_dreq.valid) m_cost_data_miss_frz++;
+
+        // send cleanup victim request
+        if (r_dcache_cleanup_victim_req.read() and not r_dcache_cc_send_req.read())
+        {
+            r_dcache_cc_send_req        = true;
+            r_dcache_cc_send_nline      = r_dcache_cleanup_victim_nline.read();
+            r_dcache_cc_send_way        = r_dcache_miss_way.read();
+            r_dcache_cc_send_type       = CC_TYPE_CLEANUP;
             r_dcache_cleanup_victim_req = false;
             r_dcache_cc_cleanup_updt_data = r_dcache_cleanup_victim_updt_data.read();
-            r_dcache_cc_cleanup_line_ncc = r_dcache_cleanup_victim_line_ncc.read();
-            r_dcache_cc_send_way = r_dcache_miss_way;
+            r_dcache_cc_cleanup_line_ncc  = r_dcache_cleanup_victim_line_ncc.read();
         }
 
         // coherence clack request (from DSPIN CLACK)
-        if ( r_dcache_clack_req.read() )
+        if (r_dcache_clack_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4750,5 +4745,7 @@
 
         // coherence request (from CC_RECEIVE FSM)
-        if ( r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read() and not r_dcache_cleanup_victim_req.read() )
+        if (r_cc_receive_dcache_req.read() and
+            not r_dcache_cc_send_req.read() and
+            not r_dcache_cleanup_victim_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4757,21 +4754,21 @@
         }
 
-        if ( not r_dcache_miss_clack.read() )  // waiting cleanup acknowledge
-        {
-            if ( r_dcache_miss_inval.read() ) // switch slot to ZOMBI state, and new cleanup
-            {
-                if ( not r_dcache_cc_send_req.read() ) // blocked until previous request sent
-                {
-                    r_dcache_miss_inval     = false;
+        if (not r_dcache_miss_clack.read())  // waiting cleanup acknowledge
+        {
+            if (r_dcache_miss_inval.read()) // switch slot to ZOMBI state, and new cleanup
+            {
+                if (not r_dcache_cc_send_req.read()) // blocked until previous request sent
+                {
+                    r_dcache_miss_inval    = false;
                     // request cleanup
                     r_dcache_cc_send_req   = true;
-                    r_dcache_cc_send_nline = r_dcache_save_paddr.read()/(m_dcache_words<<2);
+                    r_dcache_cc_send_nline = r_dcache_save_paddr.read() / (m_dcache_words << 2);
                     r_dcache_cc_send_way   = r_dcache_miss_way.read();
                     r_dcache_cc_send_type  = CC_TYPE_CLEANUP;
-                    r_dcache_cc_cleanup_updt_data = false; //the line is evicted at the very moment it arives, so it is not dirty
-                    r_dcache_cc_cleanup_line_ncc = !r_dcache_read_state.read();
+                    r_dcache_cc_cleanup_updt_data = false; // the line is evicted at the very moment it arives, so it is not dirty
+                    r_dcache_cc_cleanup_line_ncc  = !r_dcache_read_state.read();
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_write++;
+                    m_cpt_dcache_dir_write++;
 #endif
                     r_dcache.write_dir( r_dcache_save_paddr.read(),
@@ -4780,10 +4777,10 @@
                                         CACHE_SLOT_STATE_ZOMBI );
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-std::cout << "  <PROC " << name()
-          << " DCACHE_MISS_DIR_UPDT> Switch slot to ZOMBI state"
-          << " PADDR = " << std::hex << r_dcache_save_paddr.read()
-          << " / WAY = "   << std::dec << r_dcache_miss_way.read()
-          << " / SET = "   << r_dcache_miss_set.read() << std::endl;
+                    if (m_debug_activated)
+                        std::cout << "  <PROC " << name()
+                            << " DCACHE_MISS_DIR_UPDT> Switch slot to ZOMBI state"
+                            << " PADDR = " << std::hex << r_dcache_save_paddr.read()
+                            << " / WAY = "   << std::dec << r_dcache_miss_way.read()
+                            << " / SET = "   << r_dcache_miss_set.read() << std::endl;
 #endif
                 }
@@ -4795,42 +4792,40 @@
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_write++;
-#endif
-
+                m_cpt_dcache_dir_write++;
+#endif
                 size_t way = r_dcache_miss_way.read();
                 size_t set = r_dcache_miss_set.read();
                 if (r_dcache_read_state.read())
                 {
-                    r_dcache.write_dir( r_dcache_save_paddr.read(),
-                                        r_dcache_miss_way.read(),
-                                        r_dcache_miss_set.read(),
-                                        CACHE_SLOT_STATE_VALID_CC );
-
-                    r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_NOT_DIRTY;
-
+                    r_dcache.write_dir(r_dcache_save_paddr.read(),
+                                       r_dcache_miss_way.read(),
+                                       r_dcache_miss_set.read(),
+                                       CACHE_SLOT_STATE_VALID_CC);
+
+                    r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_NOT_DIRTY;
                 }
                 else
                 {
-                    r_dcache.write_dir( r_dcache_save_paddr.read(),
-                                        r_dcache_miss_way.read(),
-                                        r_dcache_miss_set.read(),
-                                        CACHE_SLOT_STATE_VALID_NCC );
-                    r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_NOT_DIRTY;
-                    for (size_t word =0; word < m_dcache_words ; word++)
+                    r_dcache.write_dir(r_dcache_save_paddr.read(),
+                                       r_dcache_miss_way.read(),
+                                       r_dcache_miss_set.read(),
+                                       CACHE_SLOT_STATE_VALID_NCC);
+                    r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_NOT_DIRTY;
+                    for (size_t word = 0; word < m_dcache_words; word++)
                     {
-                        r_dcache_dirty_word[(way*m_dcache_sets +set)*m_dcache_words+word] = 0;
+                        r_dcache_dirty_word[(way * m_dcache_sets + set) * m_dcache_words + word] = 0;
                     }
 
                     // STAT : WRITE ON ZOMBI NCC LINE
-                    r_dcache_zombi_ncc[r_dcache_miss_way.read()*m_dcache_sets+r_dcache_miss_set.read()] = true;
+                    r_dcache_zombi_ncc[r_dcache_miss_way.read() * m_dcache_sets + r_dcache_miss_set.read()] = true;
                 }
 
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-std::cout << "  <PROC " << name()
-          << " DCACHE_MISS_DIR_UPDT> Switch slot to VALID state"
-          << " PADDR = " << std::hex << r_dcache_save_paddr.read()
-          << " / WAY = "   << std::dec << r_dcache_miss_way.read()
-          << " / SET = "   << r_dcache_miss_set.read() << std::endl;
+                if (m_debug_activated)
+                    std::cout << "  <PROC " << name()
+                        << " DCACHE_MISS_DIR_UPDT> Switch slot to VALID state"
+                        << " PADDR = " << std::hex << r_dcache_save_paddr.read()
+                        << " / WAY = "   << std::dec << r_dcache_miss_way.read()
+                        << " / SET = "   << r_dcache_miss_set.read() << std::endl;
 #endif
             }
@@ -4842,8 +4837,8 @@
     }
     /////////////////////
-    case DCACHE_UNC_WAIT:  // waiting a response to an uncacheable read
+    case DCACHE_UNC_WAIT:  // waiting a response to an uncacheable read/write
     {
         // coherence clack request (from DSPIN CLACK)
-        if ( r_dcache_clack_req.read() )
+        if (r_dcache_clack_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4853,5 +4848,5 @@
 
         // coherence request (from CC_RECEIVE FSM)
-        if ( r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
+        if (r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4860,10 +4855,11 @@
         }
 
-        if ( r_vci_rsp_data_error.read() )  // bus error
-        {
-            if(r_dcache_vci_unc_write.read())
-                r_mmu_detr           = MMU_WRITE_DATA_ILLEGAL_ACCESS;
+        if (r_vci_rsp_data_error.read()) // bus error
+        {
+            if (r_dcache_vci_unc_write.read())
+                r_mmu_detr = MMU_WRITE_DATA_ILLEGAL_ACCESS;
             else
-                r_mmu_detr           = MMU_READ_DATA_ILLEGAL_ACCESS;
+                r_mmu_detr = MMU_READ_DATA_ILLEGAL_ACCESS;
+
             r_mmu_dbvar          = m_dreq.addr;
             r_vci_rsp_data_error = false;
@@ -4873,5 +4869,5 @@
             break;
         }
-        else if ( r_vci_rsp_fifo_dcache.rok() )     // data available
+        else if (r_vci_rsp_fifo_dcache.rok())     // data available
         {
             // consume data
@@ -4880,9 +4876,9 @@
 
             // acknowledge the processor request if it has not been modified
-            if ( m_dreq.valid and (m_dreq.addr == r_dcache_save_vaddr.read()) )
-            {
-                m_drsp.valid        = true;
-                m_drsp.error        = false;
-                m_drsp.rdata        = r_vci_rsp_fifo_dcache.read();
+            if (m_dreq.valid and (m_dreq.addr == r_dcache_save_vaddr.read()))
+            {
+                m_drsp.valid = true;
+                m_drsp.error = false;
+                m_drsp.rdata = r_vci_rsp_fifo_dcache.read();
             }
         }
@@ -4893,5 +4889,5 @@
     {
         // coherence clack request (from DSPIN CLACK)
-        if ( r_dcache_clack_req.read() )
+        if (r_dcache_clack_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4901,5 +4897,5 @@
 
         // coherence request (from CC_RECEIVE FSM)
-        if ( r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
+        if (r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4908,5 +4904,5 @@
         }
 
-        if ( r_vci_rsp_data_error.read() )  // bus error
+        if (r_vci_rsp_data_error.read()) // bus error
         {
             r_mmu_detr           = MMU_READ_DATA_ILLEGAL_ACCESS;
@@ -4918,23 +4914,23 @@
             break;
         }
-        else if ( r_vci_rsp_fifo_dcache.rok() )     // data available
+        else if (r_vci_rsp_fifo_dcache.rok())     // data available
         {
             // consume data
             vci_rsp_fifo_dcache_get = true;
 
-            if(r_dcache_ll_rsp_count.read() == 0) // first flit
+            if (r_dcache_ll_rsp_count.read() == 0) // first flit
             {
                 // set key value in llsc reservation buffer
                 r_dcache_llsc_key     = r_vci_rsp_fifo_dcache.read();
-                r_dcache_ll_rsp_count = r_dcache_ll_rsp_count.read() + 1 ;
+                r_dcache_ll_rsp_count = r_dcache_ll_rsp_count.read() + 1;
             }
             else                                  // last flit
             {
                 // acknowledge the processor request if it has not been modified
-                if ( m_dreq.valid and (m_dreq.addr == r_dcache_save_vaddr.read()) )
-                {
-                    m_drsp.valid        = true;
-                    m_drsp.error        = false;
-                    m_drsp.rdata        = r_vci_rsp_fifo_dcache.read();
+                if (m_dreq.valid and (m_dreq.addr == r_dcache_save_vaddr.read()))
+                {
+                    m_drsp.valid = true;
+                    m_drsp.error = false;
+                    m_drsp.rdata = r_vci_rsp_fifo_dcache.read();
                 }
                 r_dcache_fsm = DCACHE_IDLE;
@@ -4944,8 +4940,8 @@
     }
     ////////////////////
-    case DCACHE_SC_WAIT:   // waiting VCI response to a SC transaction
+    case DCACHE_SC_WAIT: // waiting VCI response to a SC transaction
     {
         // coherence clack request (from DSPIN CLACK)
-        if ( r_dcache_clack_req.read() )
+        if (r_dcache_clack_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4955,5 +4951,5 @@
 
         // coherence request (from CC_RECEIVE FSM)
-        if ( r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
+        if (r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4962,5 +4958,5 @@
         }
 
-        if ( r_vci_rsp_data_error.read() )     // bus error
+        if (r_vci_rsp_data_error.read()) // bus error
         {
             r_mmu_detr           = MMU_READ_DATA_ILLEGAL_ACCESS;
@@ -4972,5 +4968,5 @@
             break;
         }
-        else if ( r_vci_rsp_fifo_dcache.rok() ) // response available
+        else if (r_vci_rsp_fifo_dcache.rok()) // response available
         {
             // consume response
@@ -4983,9 +4979,9 @@
     }
     //////////////////////////
-    case DCACHE_DIRTY_GET_PTE:      // This sub_fsm set the PTE Dirty bit in memory
-                                    // before handling a processor WRITE or SC request
-                                    // Input argument is r_dcache_dirty_paddr
-                                    // In this first state, we get PTE value in dcache
-                                    // and post a CAS request to CMD FSM
+    case DCACHE_DIRTY_GET_PTE:  // This sub_fsm set the PTE Dirty bit in memory
+                                // before handling a processor WRITE or SC request
+                                // Input argument is r_dcache_dirty_paddr
+                                // In this first state, we get PTE value in dcache
+                                // and post a CAS request to CMD FSM
     {
         // get PTE in dcache
@@ -4997,23 +4993,23 @@
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_data_read++;
-m_cpt_dcache_dir_read++;
-#endif
-        r_dcache.read( r_dcache_dirty_paddr.read(),
-                       &pte,
-                       &way,
-                       &set,
-                       &word,
-                       &state );
-
-        assert( (state == CACHE_SLOT_STATE_VALID_CC or state == CACHE_SLOT_STATE_VALID_NCC) and
+        m_cpt_dcache_data_read++;
+        m_cpt_dcache_dir_read++;
+#endif
+        r_dcache.read(r_dcache_dirty_paddr.read(),
+                      &pte,
+                      &way,
+                      &set,
+                      &word,
+                      &state);
+
+        assert((state == CACHE_SLOT_STATE_VALID_CC or state == CACHE_SLOT_STATE_VALID_NCC) and
         "error in DCACHE_DIRTY_TLB_SET: the PTE should be in dcache" );
 
         // request CAS transaction to CMD_FSM
-        r_dcache_dirty_way  = way;
-        r_dcache_dirty_set  = set;
+        r_dcache_dirty_way = way;
+        r_dcache_dirty_set = set;
 
         // check llsc reservation buffer
-        if (r_dcache_llsc_paddr.read() == r_dcache_dirty_paddr.read() )
+        if (r_dcache_llsc_paddr.read() == r_dcache_dirty_paddr.read())
             r_dcache_llsc_valid = false;
 
@@ -5029,34 +5025,33 @@
         else
         {
-            r_cas_islocal = true;
-            r_cas_local_way = way;
-            r_cas_local_set = set;
-            r_cas_local_word = word;
+            r_cas_local_way      = way;
+            r_cas_local_set      = set;
+            r_cas_local_word     = word;
             r_dcache_vci_cas_new = pte | PTE_D_MASK;
-        }
-
-
-            r_dcache_fsm         = DCACHE_DIRTY_WAIT;
+            r_cas_islocal        = true;
+        }
+
+        r_dcache_fsm = DCACHE_DIRTY_WAIT;
 
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_DIRTY_GET_PTE> CAS request" << std::hex
-              << " / PTE_PADDR = " << r_dcache_dirty_paddr.read()
-              << " / PTE_VALUE = " << pte << std::dec
-              << " / SET = " << set
-              << " / WAY = " << way << std::endl;
-}
+        if (m_debug_activated)
+        {
+            std::cout << "  <PROC " << name()
+                << " DCACHE_DIRTY_GET_PTE> CAS request" << std::hex
+                << " / PTE_PADDR = " << r_dcache_dirty_paddr.read()
+                << " / PTE_VALUE = " << pte << std::dec
+                << " / SET = " << set
+                << " / WAY = " << way << std::endl;
+        }
 #endif
         break;
     }
     ///////////////////////
-    case DCACHE_DIRTY_WAIT:         // wait completion of CAS for PTE Dirty bit,
-                                    // and return to IDLE state when response is received.
-                                    // we don't care if the CAS is a failure:
-                                    // - if the CAS is a success, the coherence mechanism
-                                    //   updates the local copy.
-                                    // - if the CAS is a failure, we just retry the write.
+    case DCACHE_DIRTY_WAIT:    // wait completion of CAS for PTE Dirty bit,
+                               // and return to IDLE state when response is received.
+                               // we don't care if the CAS is a failure:
+                               // - if the CAS is a success, the coherence mechanism
+                               //   updates the local copy.
+                               // - if the CAS is a failure, we just retry the write.
     {
         uint32_t way  = r_cas_local_way.read();
@@ -5066,5 +5061,5 @@
 
         // coherence clack request (from DSPIN CLACK)
-        if ( r_dcache_clack_req.read() )
+        if (r_dcache_clack_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -5074,5 +5069,5 @@
 
         // coherence request (from CC_RECEIVE FSM)
-        if ( r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
+        if (r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -5081,7 +5076,7 @@
         }
 
-        if (!r_cas_islocal.read())
-        {
-            if ( r_vci_rsp_data_error.read() )  // bus error
+        if (not r_cas_islocal.read())
+        {
+            if (r_vci_rsp_data_error.read())  // bus error
             {
                 std::cout << "BUS ERROR in DCACHE_DIRTY_WAIT state" << std::endl;
@@ -5089,14 +5084,14 @@
                 exit(0);
             }
-            else if ( r_vci_rsp_fifo_dcache.rok() ) // response available
+            else if (r_vci_rsp_fifo_dcache.rok()) // response available
             {
                 vci_rsp_fifo_dcache_get = true;
-                r_dcache_fsm            = DCACHE_IDLE;
+                r_dcache_fsm = DCACHE_IDLE;
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_DIRTY_WAIT> CAS completed" << std::endl;
-}
+                if (m_debug_activated)
+                {
+                    std::cout << "  <PROC " << name()
+                        << " DCACHE_DIRTY_WAIT> CAS completed" << std::endl;
+                }
 #endif
             }
@@ -5109,7 +5104,7 @@
                            r_dcache_vci_cas_new.read());
 
-            if ( r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_IN_TLB )
-            {
-                r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_DIRTY;
+            if (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_IN_TLB)
+            {
+                r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_DIRTY;
                 r_dcache_tlb_inval_line  = nline;
                 r_dcache_tlb_inval_set   = 0;
@@ -5119,12 +5114,12 @@
             }
 
-            if ( r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_CONTAINS_PTD )
+            if (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_CONTAINS_PTD)
             {
                 r_itlb.reset();
                 r_dtlb.reset();
-                r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_DIRTY;
+                r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_DIRTY;
 
 #if DEBUG_DCACHE
-                if ( m_debug_activated )
+                if (m_debug_activated)
                 {
                     std::cout << "  <PROC " << name()
@@ -5133,5 +5128,5 @@
 #endif
             }
-            r_dcache_fsm            = DCACHE_IDLE;
+            r_dcache_fsm = DCACHE_IDLE;
         }
         break;
@@ -5146,43 +5141,27 @@
                             // The return state is defined in r_dcache_fsm_cc_save
     {
-        paddr_t  paddr = r_cc_receive_dcache_nline.read() * m_dcache_words * 4;
-        paddr_t  mask = ~((m_dcache_words<<2)-1);
-
-//#if DEBUG_DCACHE
-//if ( m_debug_activated )
-//{
-//    std::cout << "  <PROC " << name() << std::hex
-//              << " DCACHE_CC_CHECK> paddr = " << paddr
-//              << " r_dcache_vci_paddr = " << r_dcache_vci_paddr.read()
-//              << " mask = " << mask
-//              << " (r_dcache_fsm_cc_save == DCACHE_MISS_WAIT) = "
-//              << (r_dcache_fsm_cc_save == DCACHE_MISS_WAIT)
-//              << " (r_dcache_fsm_cc_save == DCACHE_MISS_DIR_UPDT) = "
-//              << (r_dcache_fsm_cc_save == DCACHE_MISS_DIR_UPDT)
-//              << " ((r_dcache_vci_paddr.read() & mask) == (paddr & mask)) = "
-//              << ((r_dcache_vci_paddr.read() & mask) == (paddr & mask))
-//              << std::dec <<std::endl;
-//}
-//#endif
+        paddr_t paddr = r_cc_receive_dcache_nline.read() * m_dcache_words * 4;
+        paddr_t mask = ~((m_dcache_words << 2) - 1);
+
         // CLACK handler
         // We switch the directory slot to EMPTY state and reset
         // r_dcache_miss_clack if the cleanup ack is matching a pending miss.
-        if ( r_dcache_clack_req.read() )
-        {
-            if ( m_dreq.valid ) m_cost_data_miss_frz++;
+        if (r_dcache_clack_req.read())
+        {
+            if (m_dreq.valid) m_cost_data_miss_frz++;
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_write++;
-#endif
-            r_dcache.write_dir( 0,
-                                r_dcache_clack_way.read(),
-                                r_dcache_clack_set.read(),
-                                CACHE_SLOT_STATE_EMPTY);
+            m_cpt_dcache_dir_write++;
+#endif
+            r_dcache.write_dir(0,
+                               r_dcache_clack_way.read(),
+                               r_dcache_clack_set.read(),
+                               CACHE_SLOT_STATE_EMPTY);
 
             // STAT : WRITE ON ZOMBI NCC LINE
-            r_dcache_zombi_ncc[r_dcache_clack_way.read()*m_dcache_sets+r_dcache_clack_set.read()] = false;
-
-            if ( (r_dcache_miss_set.read() == r_dcache_clack_set.read()) and
-                 (r_dcache_miss_way.read() == r_dcache_clack_way.read()) )
+            r_dcache_zombi_ncc[r_dcache_clack_way.read() * m_dcache_sets + r_dcache_clack_set.read()] = false;
+
+            if ((r_dcache_miss_set.read() == r_dcache_clack_set.read()) and
+                (r_dcache_miss_way.read() == r_dcache_clack_way.read()))
             {
                   r_dcache_miss_clack = false;
